%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	VNC Client for the GNOME Desktop
Name:		vinagre
Version:	3.4.1
Release:	1
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Networking/Remote access
Url:		http://www.gnome.org/projects/vinagre/index.html
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(vte-2.90) >= 0.20
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.31
BuildRequires:	pkgconfig(spice-client-gtk-3.0) >= 0.5
BuildRequires:	pkgconfig(avahi-ui-gtk3) >= 0.6.26
BuildRequires:	pkgconfig(avahi-gobject) >= 0.6.26
BuildRequires:	pkgconfig(avahi-ui)
BuildRequires:	pkgconfig(telepathy-glib) >= 0.11.6
BuildRequires:	pkgconfig(libpanelapplet-4.0) >= 2.91.91
BuildRequires:	pkgconfig(glib-2.0) >= 2.25.11
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.3
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(libpeas-1.0) >= 0.7.2
BuildRequires:	pkgconfig(gtk-vnc-2.0) >= 0.4.3
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	itstool

Requires:	gnome-icon-theme >= 2.30

%description
Vinagre is a VNC Client for the GNOME Desktop.

With Vinagre you can have several connections open simultaneously, bookmark
your servers thanks to the Favorites support, store the passwords in the
GNOME keyring, and browse the network to look for VNC servers.

%prep
%setup -q

%build
%configure2_5x --enable-ssh
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

desktop-file-install --vendor="" \
  --add-category="RemoteAccess;Network" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/*/*.*
%{_datadir}/mime/packages/vinagre-mime.xml
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Vinagre.service
%{_datadir}/telepathy/clients/Vinagre.client
%{_mandir}/man1/vinagre.1*
%{_datadir}/glib-2.0/schemas/org.gnome.Vinagre.gschema.xml
%{_datadir}/GConf/gsettings/org.gnome.Vinagre.convert

%{_datadir}/help/*/%{name}/*.page
%{_datadir}/help/*/%{name}/figures/*.png


%changelog
* Sat May 05 2012 Alexander Khrukin <akhrukin@mandriva.org> 3.4.1-1
+ Revision: 796612
- version update 3.4.1

* Tue Mar 06 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.2.2-1
+ Revision: 782521
- new version 3.2.2
- added p0 from mga
- cleaned up spec

* Fri May 06 2011 Oden Eriksson <oeriksson@mandriva.com> 2.30.3-2
+ Revision: 670768
- mass rebuild

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.30.3-1mdv2011.0
+ Revision: 581788
- update to new version 2.30.3

* Mon Jun 21 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.2-1mdv2010.1
+ Revision: 548387
- Release 2.30.2

* Tue May 04 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 542025
- new version
- remove build workaround

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528799
- update to new version 2.30.0

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 516990
- update to new version 2.29.92

* Mon Feb 22 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 509550
- update to new version 2.29.91

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 502709
- update to new version 2.29.90

* Tue Jan 26 2010 Götz Waschk <waschk@mandriva.org> 2.29.6-1mdv2010.1
+ Revision: 496490
- new version
- update file list

* Wed Dec 09 2009 Götz Waschk <waschk@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 475368
- new version
- update file list
- update build deps

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458699
- Release 2.28.1

* Wed Sep 23 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.0.1-2mdv2010.0
+ Revision: 447744
- Fix BuildRequires
- Ensure telepathy support is always built
- Build ssh plugin
- Improve package description (from Fedora)

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0.1-1mdv2010.0
+ Revision: 446620
- update to new version 2.28.0.1

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 432562
- update to new version 2.27.92

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 2.27.91-1mdv2010.0
+ Revision: 421047
- update to new version 2.27.91

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 2.27.90-1mdv2010.0
+ Revision: 415199
- new version
- update file list

* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 402679
- new version
- add devel package
- update file list
- update build deps
- fix build

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 377447
- update to new version 2.26.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366959
- update to new version 2.26.1

* Tue Mar 17 2009 Funda Wang <fwang@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356454
- New version 2.26.0

* Mon Mar 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347350
- update to new version 2.25.92

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 341027
- update to new version 2.25.91

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336493
- update to new version 2.25.90

* Wed Jan 21 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 332305
- update to new version 2.25.5

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 2.25.4-1mdv2009.1
+ Revision: 325443
- update to new version 2.25.4

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315820
- new version
- update file list

* Fri Dec 05 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 310825
- update to new version 2.24.2

* Mon Oct 20 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 295748
- update to new version 2.24.1

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286801
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282757
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278407
- new version

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 2.23.90-1mdv2009.0
+ Revision: 273563
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 231167
- new version
- update deps
- update file list

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2009.0
+ Revision: 192461
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2008.1
+ Revision: 183466
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 0.4.92-1mdv2008.1
+ Revision: 174830
- new version

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 0.4.91-1mdv2008.1
+ Revision: 165220
- new version
- bump deps
- handle gconf schema

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 0.4.90-1mdv2008.1
+ Revision: 159346
- fix buildrequires
- new version
- update file list

* Fri Jan 25 2008 Funda Wang <fwang@mandriva.org> 0.4-2mdv2008.1
+ Revision: 157805
- rebuild

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2008.1
+ Revision: 119227
- new version
- drop patch
- bump deps
- add icons and mime package
- add installation and uninstallation scripts

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 0.3-2mdv2008.1
+ Revision: 105175
- reenable avahi support (bug #35220)

* Fri Sep 14 2007 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2008.0
+ Revision: 85489
- new version
- bump gtk-vnc dep
- fix URL

* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 0.2-1mdv2008.0
+ Revision: 84124
- Import vinagre

